CREATE procedure [C6StagingPeriodico].[RP_clientiConMigrazione]
as
begin
truncate table [C6StagingPeriodico].[RP_V_clienti_contrsei_con_migraz]
INSERT INTO [C6StagingPeriodico].[RP_V_clienti_contrsei_con_migraz]
           ([chiaveClientePb]
           ,[rete]
           ,[cod_fiscale]
           ,[dtprimaMigrazione])
select 
	a.chiaveClientePb,
	b.rete,
	b.cod_fiscale,
	a.dtprimaMigrazione
from
C6StagingPeriodico.RP_MIGRAZ_PIANIFICAZIONE a
join
C6MartPeriodico.RP_vContrattiPerGenerazioneReport b
on a.chiaveClientePb = b.chiaveClientePb
end